# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeCircle Class Reference

This class implements the mapping between classes
Circle from Geom, and Circ from gp, and the class
Circle from StepGeom which describes a circle from
Prostep.
.

`#include <GeomToStep_MakeCircle.hxx>`

Inheritance diagram for GeomToStep_MakeCircle:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeCircle (const gp_Circ &C)
Standard_EXPORT | GeomToStep_MakeCircle (const Handle(Geom_Circle)&C)
Standard_EXPORT | GeomToStep_MakeCircle (const Handle(Geom2d_Circle)&C)
Standard_EXPORT const Handle_StepGeom_Circle & | Value () const

## Private Attributes

Handle_StepGeom_Circle | theCircle

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeCircle::GeomToStep_MakeCircle | ( | const gp_Circ & | C | ) |

Standard_EXPORT GeomToStep_MakeCircle::GeomToStep_MakeCircle | ( | const Handle(Geom_Circle)& | C | ) |

Standard_EXPORT GeomToStep_MakeCircle::GeomToStep_MakeCircle | ( | const Handle(Geom2d_Circle)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeCircle::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCircle::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCircle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Circle& GeomToStep_MakeCircle::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Circle GeomToStep_MakeCircle::theCircle `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeCircle.hxx